<?php

	App::uses('VebraAppModel', 'Vebra.Model');
	App::uses('Vebra', 'Vebra.Model');

	/**
	 * @property Vebra $Vebra
	 */
	class Property extends VebraAppModel {

		public $actsAs = array(
			'Routable.Routable' => array(
				'actual' => ':plugin/:controller/:action/:primaryKey',
				'alias' => ':controller/:action/:primaryKey'
			),
			'MetaData.Meta',
		);
		public $imageSlots = array(
			'main' => array(// main property images
				'slots' => 0
			),
			'floorplan' => array(// floorplan images
				'slots' => 0
			),
			'epc' => array(// energy efficiency rating images
				'slots' => 0
			)
		);
		public $documentSlots = array(
			'brochure' => array(// brochure images
				'slots' => 0
			)
		);
		public $hasMany = array(
			'Paragraph',
		);
		public $belongsTo = 'Branch';

		public function __construct($id = false, $table = null, $ds = null) {
			parent::__construct($id, $table, $ds);
			$this->Vebra = new Vebra();
		}

		public function getVebraProperties($branchId) {
			return $this->Vebra->getProperties($branchId);
		}

		public function getVebraUpdatedProperties() {
			return $this->Vebra->getUpdatedProperties();
		}

	}
